var
   chisl,
   znam  : byte;
   out : text;
function NOD(n1,n2 : byte):byte;
var
 nn1,nn2:byte;
begin
  nn1 := n1;
  nn2 := n2;
  while nn1 <> nn2 do if nn1 > nn2 then nn1 := nn1 - nn2 else nn2 := nn2 - nn1;
  NOD := nn1;
end;

Begin
  assign(out,'output.txt');
  rewrite(out);
  for chisl := 1 to 15 do
    for znam := 15 downto chisl do
      begin
        if chisl/znam >= (chisl+1)/15 then
          break;
        writeln(out,chisl div NOD(chisl,znam),'/',znam div NOD(chisl,znam));
      end;
  close(out);
End.